gi-gdkx11-3.0.15: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GdkX11.Objects.X11Keymap

Contents

- Exported types
- Methods
  - getGroupForState
  - keyIsModifier

Description

No description available in the introspection data.

Synopsis

- newtype X11Keymap = X11Keymap (ManagedPtr X11Keymap)
- class (GObject o, IsDescendantOf X11Keymap o) => IsX11Keymap o
- toX11Keymap :: (MonadIO m, IsX11Keymap o) => o -> m X11Keymap
- x11KeymapGetGroupForState :: (HasCallStack, MonadIO m, IsX11Keymap a) => a -> Word32 -> m Int32
- x11KeymapKeyIsModifier :: (HasCallStack, MonadIO m, IsX11Keymap a) => a -> Word32 -> m Bool

# Exported types

newtype X11Keymap Source #

Memory-managed wrapper type.

Constructors

X11Keymap (ManagedPtr X11Keymap) |

#### Instances

Instances details

Eq X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap Methods (==) :: X11Keymap -> X11Keymap -> Bool Source # (/=) :: X11Keymap -> X11Keymap -> Bool Source #
GObject X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap
ManagedPtrNewtype X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap Methods toManagedPtr :: X11Keymap -> ManagedPtr X11Keymap Source #
TypedObject X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap Methods glibType :: IO GType Source #
HasParentTypes X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap
IsGValue (Maybe X11Keymap) Source # | Convert `X11Keymap` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11Keymap Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11Keymap -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11Keymap) Source #
type ParentTypes X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap type ParentTypes X11Keymap = '[Keymap, Object]

class (GObject o, IsDescendantOf X11Keymap o) => IsX11Keymap o Source #

Type class for types which can be safely cast to `X11Keymap`, for instance with `toX11Keymap`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11Keymap o) => IsX11Keymap o Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap

toX11Keymap :: (MonadIO m, IsX11Keymap o) => o -> m X11Keymap Source #

Cast to `X11Keymap`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addVirtualModifiers, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, haveBidiLayouts, isFloating, keyIsModifier, lookupKey, mapVirtualModifiers, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, translateKeyboardState, unref, watchClosure.

#### Getters

getCapsLockState, getData, getDirection, getEntriesForKeycode, getEntriesForKeyval, getGroupForState, getModifierMask, getModifierState, getNumLockState, getProperty, getQdata, getScrollLockState.

#### Setters

setData, setDataFull, setProperty.

## getGroupForState

x11KeymapGetGroupForState Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Keymap a) |
=> a | `keymap`: a `X11Keymap`
-> Word32 | `state`: raw state returned from X
-> m Int32 | Returns: the index of the active keyboard group for the event

Extracts the group from the state field sent in an X Key event. This is only needed for code processing raw X events, since `EventKey` directly includes an is_modifier field.

Since: 3.6

## keyIsModifier

x11KeymapKeyIsModifier Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Keymap a) |
=> a | `keymap`: a `X11Keymap`
-> Word32 | `keycode`: the hardware keycode from a key event
-> m Bool | Returns: `True` if the hardware keycode is a modifier key

Determines whether a particular key code represents a key that is a modifier. That is, it’s a key that normally just affects the keyboard state and the behavior of other keys rather than producing a direct effect itself. This is only needed for code processing raw X events, since `EventKey` directly includes an is_modifier field.

Since: 3.6